<?
if(isset($_GET['sell']) && $_GET['sell']!==NULL && !isset($_GET['ok'])){
echo "<div class='event'><h1>Подтверждение</h1></div><div class='content'><div class='block'><li><span class='title'>Вы уверены?</span></li><li class='pt'><img alt='' width='16' height='16' src='images/icons/tick.png'> <a href='?shop=iconka&sell=".intval($_GET['sell'])."&ok'><span> Да, подтверждаю</span></a></li><li><img alt='' width='16' height='16' src='images/icons/cross.png'> <a href='?shop=iconka'><span> Нет, отказываюсь</span></a></li></ul></div>";
}
if(isset($_GET['sell']) && $_GET['sell']!==NULL && isset($_GET['ok']))
{
$i=intval($_GET['sell']);
if($i==1)$cena=50;
if($i==2)$cena=70;
if($i==3)$cena=100;
if($i==4)$cena=150;
if($i==5)$cena=200;
if($i==6)$cena=250;
if($i==7)$cena=300;
if($i==8)$cena=350;
if($i==9)$cena=400;
if($i==10)$cena=450;
if($i==11)$cena=500;
if($i==12)$cena=550;
if($i==13)$cena=600;
if($ku['level']<14)
{
$err=1;
err_game("Покупать можно с 15 уровня.");
}
if(!isset($cena)){
$err=1;
err_game("Произошла ошибка");
}
if($ku['rubies']<$cena)
{$err=1;
$_SESSION['no_rubies']=$cena-$ku['rubies'];
header("Location:?shop=iconka");}
if(!isset($err))
{
mysql_query("UPDATE `kolhoz_user` SET `iconka`='$i', `rubies` = '".($ku['rubies']-$cena)."' WHERE `id` = '$ku[id]'");
$_SESSION['msg']='Иконка успешно куплена';
header("Location:?shop=iconka");
}

}
elseif(!isset($_GET['sell']))
{
if(isset($_GET['verikonka']))
{
mysql_query("UPDATE `kolhoz_user` SET `iconka` = '0' WHERE `id` = '$ku[id]'");
echo "<div class='body'><div class='feedback'>Иконка успешно изменена</li></ul></div>";
}
echo "<div class='event'><h1>Иконки</h1></div>
<div class='content'>
<div class='block'>
<div>";
if($ku['pol']==1){$pref='male';}elseif($ku['pol']==0){$pref='female';}
$i=1;
While($i<=13){
if($i==1){$name='Печаль';$cena=50;}
if($i==2){$name='Радость';$cena=70;}
if($i==3){$name='Энтузиазм';$cena=100;}
if($i==4){$name='Нежность';$cena=150;}
if($i==5){$name='Любопытство';$cena=200;}
if($i==6){$name='Авантюризм';$cena=250;}
if($i==7){$name='Круть';$cena=300;}
if($i==8){$name='Злость';$cena=350;}
if($i==9){$name='Окрыленность';$cena=400;}
if($i==10){$name='Ирония';$cena=450;}
if($i==11){$name='Новый год';$cena=500;}
if($i==12){$name='Работник';$cena=550;}
if($i==13){$name='Профи';$cena=600;}

echo '<img width="16" height="16" alt="" src="/images/iconka/'.$i.'_'.$pref.'.png"/><span class="title"> '.$name.'</span>';
echo "".($ku['level']>=15?" <a href='?shop=iconka&sell=".$i."'/>купить</a> за <span><img width='16' height='16' src='/images/icons/ruby.png' alt=''/> <span class='title'>".$cena."</span>":"<span class='minor'> доступно с 15 уровня.</span>")."";
echo '<br/><li class="pt">';

$i++;
}
$ico=rand(1,13);
$iico=$ico;
if($ku['iconka']>$iico)
{
echo "<li><img width='16' height='16' src='images/icons/cross.png' alt='o'> <a href='?shop=iconka&verikonka'>Вернуть стандартную</a></li>";
}
echo '</div>';
echo '</div>';
}
?>
